glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- z
- ~

### - r -

- Rand() : Glib::Rand
- range_check() : Gio::Settings
- raw() : Glib::ustring
- rbegin() : Glib::ustring , Glib::HelperList< T_Child, T_CppElement, T_Iterator > , Glib::ustring
- read() : Glib::IOChannel , Gio::File , Gio::InputStream
- read_all() : Gio::InputStream
- read_async() : Gio::File , Gio::InputStream
- read_byte() : Gio::BufferedInputStream , Gio::DataInputStream
- read_bytes() : Gio::InputStream
- read_bytes_async() : Gio::InputStream
- read_bytes_finish() : Gio::InputStream
- read_finish() : Gio::File , Gio::InputStream
- read_int16() : Gio::DataInputStream
- read_int32() : Gio::DataInputStream
- read_int64() : Gio::DataInputStream
- read_line() : Glib::IOChannel , Gio::DataInputStream
- read_line_async() : Gio::DataInputStream
- read_line_finish() : Gio::DataInputStream
- read_line_finish_utf8() : Gio::DataInputStream
- read_line_utf8() : Gio::DataInputStream
- read_name() : Glib::Dir
- read_nonblocking() : Gio::PollableInputStream
- read_nonblocking_vfunc() : Gio::PollableInputStream
- read_to_end() : Glib::IOChannel
- read_uint16() : Gio::DataInputStream
- read_uint32() : Gio::DataInputStream
- read_uint64() : Gio::DataInputStream
- read_until() : Gio::DataInputStream
- read_until_async() : Gio::DataInputStream
- read_until_finish() : Gio::DataInputStream
- read_upto() : Gio::DataInputStream
- read_upto_async() : Gio::DataInputStream
- read_upto_finish() : Gio::DataInputStream
- read_vfunc() : Glib::IOChannel , Glib::StreamIOChannel
- reader_lock() : Glib::StaticRWLock , Glib::Threads::RWLock
- reader_trylock() : Glib::StaticRWLock , Glib::Threads::RWLock
- reader_unlock() : Glib::StaticRWLock , Glib::Threads::RWLock
- ReaderLock() : Glib::RWLock::ReaderLock , Glib::Threads::RWLock::ReaderLock
- receive() : Gio::Socket
- receive_credentials() : Gio::UnixConnection
- receive_fd() : Gio::UnixConnection
- receive_from() : Gio::Socket
- receive_with_blocking() : Gio::Socket
- RecMutex() : Glib::RecMutex , Glib::Threads::RecMutex
- reference() : Glib::BalancedTree< K, V > , Glib::Bytes , Glib::IOChannel , Glib::Regex , Glib::MainContext , Glib::MainLoop , Glib::Source , Glib::ObjectBase , Gio::DBus::AnnotationInfo , Gio::DBus::ArgInfo , Gio::DBus::MethodInfo , Gio::DBus::SignalInfo , Gio::DBus::PropertyInfo , Gio::DBus::InterfaceInfo , Gio::DBus::NodeInfo , Gio::FileAttributeInfoList , Gio::FileAttributeMatcher
- RefPtr() : Glib::RefPtr< T_CppObject >
- Regex() : Glib::Regex
- RegexError() : Glib::RegexError
- register_application() : Gio::Application
- register_object() : Gio::DBus::Connection
- register_subtree() : Gio::DBus::Connection
- release() : Glib::Threads::Mutex::Lock , Glib::Threads::RecMutex::Lock , Glib::Threads::RWLock::ReaderLock , Glib::Threads::RWLock::WriterLock , Glib::MainContext , Gio::Application , Glib::RWLock::WriterLock , Glib::Mutex::Lock , Glib::RecMutex::Lock , Glib::RWLock::ReaderLock
- release_c_type() : Glib::Container_Helpers::TypeTraits< T > , Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::File > > , Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Mount > > , Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > > , Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >
- release_fd() : Gio::Cancellable
- RemoteActionGroup() : Gio::RemoteActionGroup
- remount() : Gio::Mount
- remount_finish() : Gio::Mount
- remove() : Glib::BalancedTree< K, V > , Glib::ValueArray , Glib::HelperList< T_Child, T_CppElement, T_Iterator > , Gio::File , Gio::SimpleActionGroup , Gio::Menu
- remove_action() : Gio::ActionMap
- remove_action_vfunc() : Gio::ActionMap
- remove_async() : Gio::File
- remove_attribute() : Gio::FileInfo
- remove_comment() : Glib::KeyFile
- remove_data() : Glib::Object
- remove_filter() : Gio::DBus::Connection
- remove_finish() : Gio::File
- remove_group() : Glib::KeyFile
- remove_key() : Glib::KeyFile
- remove_poll() : Glib::MainContext , Glib::Source
- remove_supports_type() : Gio::AppInfo
- rend() : Glib::ustring , Glib::HelperList< T_Child, T_CppElement, T_Iterator > , Glib::ustring , Glib::HelperList< T_Child, T_CppElement, T_Iterator >
- replace() : Glib::ustring , Glib::Regex , Glib::ustring , Glib::Threads::Private< T > , Glib::Regex , Glib::ustring , Gio::File , Glib::ustring , Gio::File
- replace_async() : Gio::File
- replace_contents() : Gio::File
- replace_contents_async() : Gio::File
- replace_contents_finish() : Gio::File
- replace_eval() : Glib::Regex
- replace_finish() : Gio::File
- replace_literal() : Glib::Regex
- replace_readwrite() : Gio::File
- replace_readwrite_async() : Gio::File
- replace_readwrite_finish() : Gio::File
- reply() : Gio::MountOperation
- reserve() : Glib::ustring
- reset() : Glib::RefPtr< T_CppObject > , Glib::ValueBase , Gio::Settings , Glib::IConv , Glib::Timer , Gio::Cancellable , Gio::Converter , Glib::Checksum
- reset_property_() : Glib::PropertyProxy_Base
- reset_type_associations() : Gio::AppInfo
- reset_value() : Glib::PropertyProxy< T > , Glib::PropertyProxy_WriteOnly< T >
- reset_vfunc() : Gio::Converter
- resize() : Glib::ustring
- resolve_relative_path() : Gio::File
- ResolverError() : Gio::ResolverError
- ResourceError() : Gio::ResourceError
- return_dbus_error() : Gio::DBus::MethodInvocation
- return_error() : Gio::DBus::MethodInvocation
- return_value() : Gio::DBus::MethodInvocation
- reverse_children() : Glib::NodeTree< T >
- revert() : Gio::Settings
- rewind() : Glib::Dir
- rfind() : Glib::ustring
- run() : Glib::MainLoop , Gio::Application
- run_mainloop_vfunc() : Gio::Application
- RWLock() : Glib::RWLock , Glib::Threads::RWLock